com.taosdata.jdbc.ws.tmq.entity

## Class CommittedResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.CommonResp
    - - com.taosdata.jdbc.ws.tmq.entity.CommittedResp

    public class CommittedResp
    extends CommonResp

### Constructor Summary

Constructors
Constructor and Description
`CommittedResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long[]` `getCommitted()`
`long` `getTiming()`
`void` `setCommitted(long[] committed)`
`void` `setTiming(long timing)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.CommonResp

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommittedResp

    public CommittedResp()

### Method Detail

#### getTiming

    public long getTiming()

#### setTiming

    public void setTiming(long timing)

#### getCommitted

    public long[] getCommitted()

#### setCommitted

    public void setCommitted(long[] committed)